﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CSSControl3.Models;
using CSScontrol;

namespace CSSControl3.Controllers
{
    public class CssController : Controller
    {
		[OutputCache(Duration = 3600)]
		// to clear the output cache use 
		// HttpResponse.RemoveOutputCacheItem("/Css/Site.css");

		public ActionResult Index()
        {

			var cssDefs = new Css();

			cssDefs.Background = "808";
			cssDefs.Width = "500px";
			cssDefs.WrapperMargin = "0 auto";
			cssDefs.Foreground = "ff0";

			Response.Filter = new CSSCompressor(Response.Filter);

			//Response.ContentType = "text/css";
	
			return View(cssDefs);
        }

    }
}
